package cn.com.ctop.job.kuaishou;

import lombok.extern.slf4j.Slf4j;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.context.annotation.ComponentScan;
import org.springframework.context.annotation.Configuration;
@Slf4j
@SpringBootApplication
@ComponentScan(basePackages = {"cn.com.ctop"})
@Configuration
public class KuaishouJobApplication {
    public static void main(String[] args){

        SpringApplication.run(KuaishouJobApplication.class, args);

        log.info("\n\t----------------------------------------------------------\n\t" +
                "\t\t\t\tjob service is running\n\t" +
                "----------------------------------------------------------\n\t" +
                "Local_Url: \thttp://localhost:8083/kuaishou/kuaishouController/\n\t"
        );
    }

}
