package cn.com.ctop.job.kuaishou.data.entity;

import lombok.Data;
import org.jeecgframework.poi.excel.annotation.Excel;

import java.math.BigDecimal;

/**
 * 原生数据概览对象 effect_native_chartreport_summary
 */
@Data
public class KuaishouEffectNativeChartreportSummary {

    /**
     * 账户ID
     */
    private Long accountId;

    /**
     * 类型
     */
    @Excel(name = "类型")
    private String type;

    /**
     * 环比
     */
    @Excel(name = "环比")
    private BigDecimal yoy;

    /**
     * 直接数据
     */
    @Excel(name = "直接数据")
    private BigDecimal direct;

    /**
     * 间接数据
     */
    @Excel(name = "间接数据")
    private BigDecimal indirect;

    /**
     * 日期
     */
    private Long statDate;

    /**
     * 原生消耗增量收益
     */
    @Excel(name = "原生消耗增量收益")
    private BigDecimal nativeSoftChargeRatio;

    /**
     * 归因窗口
     */
    @Excel(name = "归因窗口")
    private Long attributeWindow;

    /**
     * 原生转化增量收益
     */
    @Excel(name = "原生转化增量收益")
    private BigDecimal nativeConversionRatio;

    /**
     * 总体值
     */
    @Excel(name = "总体值")
    private BigDecimal sumValue;
}
