package cn.com.ctop.job.kuaishou.data.mapper;

import cn.com.ctop.job.kuaishou.data.entity.KuaishouAdvertiserFundDailyFlows;
import cn.com.ctop.job.kuaishou.data.entity.KuaishouAdvertiserFundGet;
import com.alibaba.fastjson.JSONObject;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 快手账户流水
 * zian Y
 * 2022/1/7
 **/
public interface KuaishouAdvertiserFundDailyFlowsMapper {

  //批量插入 快手-账户流水
  void replaceBatchKsFundDailyFlows(@Param("addList") List<KuaishouAdvertiserFundDailyFlows> addList);

  //批量插入 快手-账户余额
  void replaceBatchKsFundGetBalance(KuaishouAdvertiserFundGet kuaishouAdvertiserFundGet);


  List<JSONObject> getAllAccounts();
}
