package cn.com.ctop.job.kuaishou.data.mapper;

import cn.com.ctop.job.kuaishou.data.entity.KuaishouUnitAudienceAgeReportDaily;
import com.alibaba.fastjson.JSONObject;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 人群年龄报表
 *
 * @author jeecg-boot
 * 2022-02-15
 * @version V1.0
 */
public interface KuaishouUnitAudienceAgeReportDailyMapper extends BaseMapper<KuaishouUnitAudienceAgeReportDaily> {

    List<JSONObject> selectPlanIdsByAccountIdAndTime(@Param("accountId") Long accountId, @Param("date") String date);

    List<Long> selectAccountIdsByTime(@Param("date") String date);

    List<Long> selectUnitIdsByAccountIdAndTime(@Param("accountId") Long accountId, @Param("campaignId") Long campaignId, @Param("date") String date);

    void replaceBatch(@Param("data") List<KuaishouUnitAudienceAgeReportDaily> ageList);

}
