package cn.com.ctop.job.kuaishou.data.mapper;

import cn.com.ctop.job.kuaishou.data.entity.OauthToken;
import com.alibaba.fastjson.JSONObject;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * token信息
 *
 * @author jeecg-boot 2021-09-07
 * @version V1.0
 */
public interface OauthTokenMapper extends BaseMapper<OauthToken> {

    String getByAccountId(@Param("accountId") Long accountId);

    List<JSONObject> getByProjectId(@Param("projectId") Long projectId);

    List<Long> getAllAccountIds();

    List<JSONObject> selectKuaiShouToken();

    List<JSONObject> getKuaishouOcpxTypeList();

    List<JSONObject> getAgentTokens();

    String getOuthTokenAccountId(@Param("accountId") Long accountId);

    String getAgentTokenByAgentId(@Param("agentId") Long agentId);
}
