package cn.com.ctop.job.kuaishou.data.service;

import com.alibaba.fastjson.JSONObject;

import java.util.List;

/**
 * 定时任务
 *
 * @author zian Y
 * 2022-01-05
 * @version V1.0
 */
public interface IAdUnitReportService {

    void getAdUnitReport(Long advertiserId, Long unitId, String accessToken, String startDate, String endDate, int page);

    void checkGroupInfo(Long advertiserId, String accessToken, String startDate, String endDate, int page);

    void updateUnitStatus(String token, Long advertiserId, Long unitId, int putStatus );

    void getAdPlanReport(Long advertiserId, String accessToken, String startDate, String endDate, int page);

    void getAgentReport();

    void getKuaishouAccountAdSceneDaily(Long advertiserId, String accessToken, String startDate, String endDate, int page, String temporalGranularity, List<String> reportDims);

    void crowdAnalysisReport(Long advertiserId, String accessToken, String date, List<Long> campaignIds, List<Long> unitIds, List<String> reportDims, Integer page);

    void getKuaishouDailyFlows(Long advertiserId, String accessToken, String startDate, String endDate, int page);

    void getKuaishouDailyFundGet(Long advertiserId, String accessToken);

    List<JSONObject> getAllAccounts();

    void getAgentAccountList();


}
