package cn.com.ctop.job.kuaishou.data.service;

import cn.com.ctop.job.kuaishou.data.entity.KuaishouAccountReportDaily;
import com.baomidou.mybatisplus.extension.service.IService;

/**
 * 快手-账户日报
 *
 * @author jeecg-boot 2021-09-07
 * @version V1.0
 */
public interface IKuaishouAccountReportDailyService extends IService<KuaishouAccountReportDaily> {

    void getAdvertiserReportDaily(Long advertiserId, String accessToken, String startDate, String endDate, int page) throws Exception;

    void sendMessage(Long accountId, String startDate, String endDate, String date_type);

    void effectNativeChartReport(Long accountId, String token, String beginDate, String endDate);

    void liveComponentReport(Long accountId, String token, String beginDate, String endDate);

    void liveUserReport(Long accountId, String token, String beginDate, String endDate);

}
