package cn.com.ctop.job.kuaishou.data.service;

import cn.com.ctop.job.kuaishou.data.entity.KuaishouUnitAudienceAgeReportDaily;
import com.alibaba.fastjson.JSONObject;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;

/**
 * 人群年龄报表
 *
 * @author jeecg-boot
 * 2022-02-15
 * @version V1.0
 */
public interface IKuaishouUnitAudienceAgeReportDailyService extends IService<KuaishouUnitAudienceAgeReportDaily> {

    void crowdAnalysisReport(Long accountId, String token, String date, List<Long> campaignId, List<Long> unitIds, List<String> reportDimsProvince, int page);

    List<Long> selectAccountIdsByTime(String date);

    List<JSONObject> selectPlanIdsByAccountIdAndTime(Long accountId, String date);

    List<Long> selectUnitIdsByAccountIdAndTime(Long accountId, Long campaignId, String date);

    void standardCrowdAnalysisReport(Long accountId, String token, String date, Long campaignId, List<Long> unitIds);

}
