package cn.com.ctop.job.kuaishou.data.service;

import cn.com.ctop.job.kuaishou.data.entity.KuaishouVideoList;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;
import java.util.Map;

/**
 * 快手-素材列表
 *
 * @author jeecg-boot
 * 2021-09-28
 * @version V1.0
 */
public interface IKuaishouVideoListService extends IService<KuaishouVideoList> {
    void getVideoList(Long advertiserId, String accessToken, String startDate, String endDate, int page);

    Map<String, String> getKuaishouVideoByAccountId(Long advertiserId, String accessToken, List<String> materialIds, int page);

    List<Long> getAccountIds(Long projectId);

    void getVideosByAccountId(Long accountId, String startTime, String endTime);

    void getVideoRelateCreatives(String accessToken, List<String> photoIds, Long accountId);
}

