package cn.com.ctop.job.kuaishou.data.service;

import cn.com.ctop.job.kuaishou.data.entity.OauthToken;
import com.alibaba.fastjson.JSONObject;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;

/**
 * token信息
 *
 * @author jeecg-boot 2021-09-07
 * @version V1.0
 */
public interface IOauthTokenService extends IService<OauthToken> {

    String getByAccountId(Long accountId);

    List<JSONObject> getByProjectId(Long projectId);

    List<Long> getAllAccountIds();

  List<JSONObject> selectKuaiShouToken();

    List<JSONObject> getAgentTokens();

    String getOuthTokenAccountId(Long accountId);

    String getAgentTokenByAgentId(Long agentId);
}
