package cn.com.ctop.job.kuaishou.data.service;

import cn.com.ctop.job.kuaishou.data.utils.weixin.WexinConfig;
import com.alibaba.fastjson.JSONObject;
import com.baomidou.mybatisplus.extension.service.IService;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 企业微信配置信息
 *
 * @author jeecg-boot
 * 2021-06-17
 * @version V1.0
 */
public interface IWexinConfigService extends IService<WexinConfig> {

    List<WexinConfig> getAll();

    List<JSONObject> selectUsersByAccountId(Long accountId);
}
