package cn.com.ctop.job.kuaishou.data.constant;

public class KuaishouConstant {

    /**
     * 报表
     */
    public static final String ACCOUNT_REPORT = "/rest/openapi/v1/report/account_report";
    public static final String CAMPAIGN_REPORT = "/rest/openapi/v1/report/campaign_report";
    public static final String UNIT_REPORT = "/rest/openapi/v1/report/unit_report";
    public static final String CREATIVE_REPORT = "/rest/openapi/v1/report/creative_report";
    public static final String PROGRAM_CREATIVE_REPORT = "/rest/openapi/v1/report/program_creative_report";
    public static final String MATERIAL_REPORT = "/rest/openapi/v1/report/material_report";
    public static final String SEND_URL = "http://192.168.0.85:8765/webhook/account_report";
    public static final String VIDEO_LIST = "/rest/openapi/v1/file/ad/video/list";


    //获取广告组信息
    public static final String AD_UNIT_LIST = "/rest/openapi/gw/dsp/unit/list";
    /**
     * 修改广告组状态
     */
    public static final String UPDATE_UNIT_STATUS = "/rest/openapi/v1/ad_unit/update/status";

    //获取广告计划信息
    public static final String CAMPAIGN_LIST = "/rest/openapi/v1/campaign/list";

    //获取代理商数据
    public static final String ANGENT_REPORT = "/rest/openapi/v1/agent/report";

    //人群分析报表
    public static final String AUDIENCE_REPORT = "/rest/openapi/v1/report/audience_report";

    //账户流水
    public static final String FUND_DAILY_FLOWS = "/rest/openapi/v1/advertiser/fund/daily_flows";

    //账户余额
    public static final String FUND_GET = "/rest/openapi/v1/advertiser/fund/get";

    //快手账户操作记录
    public static final String OPERATION_RECORD_LIST = "/rest/openapi/v1/tool/operation_record/list";

    //视频关联创意数查询
    public static final String VIDEO_RELATE_CREATIVES = "/rest/openapi/v1/file/ad/video/relate/creatives";

    //获取原生效果数据整体概览接口（数据概览、分日转化数据分布、转化漏斗）
    public static final String EFFECT_NATIVE_CHART_REPORT = "/rest/openapi/gw/dsp/v1/effect/native/chartReport";


    //直播间组件报表
    public static final String LIVE_COMPONENT_REPORT = "/rest/openapi/gw/dsp/v1/report/live_component_report";


    //直播间报表
    public static final String LIVE_USER_REPORT = "/rest/openapi/gw/dsp/v1/report/live_user_report";

    //代理商获取广告主列表接口
    public static final String AGENT_ACCOUNT_LIST = "/rest/openapi/gw/agent/v1/account/list";

      //获取罗盘绑定广告主列
    public static final String GW_UC_V1_ADVERTISERS = "/rest/openapi/gw/uc/v1/advertisers";


}
