package cn.com.ctop.job.kuaishou.data.entity;

import lombok.Data;
import org.jeecgframework.poi.excel.annotation.Excel;

import java.math.BigDecimal;

/**
 * 转化数分日柱状图对象 effect_native_chartreport_conversion_chart
 */
@Data
public class KuaishouEffectNativeChartreportConversionChart {

    /**
     * 账户ID
     */
    private Long accountId;

    /**
     * 直接转化数
     */
    @Excel(name = "直接转化数")
    private Long conversionCnt;

    /**
     * 间接转化数
     */
    @Excel(name = "间接转化数")
    private Long indirectConversionCnt;

    /**
     * 归因窗口
     */
    @Excel(name = "归因窗口")
    private Long attributeWindow;

    /**
     * 总体值
     */
    @Excel(name = "总体值")
    private BigDecimal sumValue;

    /**
     * 日期
     */
    private Long date;

    public KuaishouEffectNativeChartreportConversionChart() {
    }
}
