package cn.com.ctop.job.kuaishou.data.entity;

import lombok.Data;
import org.jeecgframework.poi.excel.annotation.Excel;

import java.math.BigDecimal;

/**
 * 原生漏斗数据对象 effect_native_chartreport_funnel
 */
@Data
public class KuaishouEffectNativeChartreportFunnel {

    /**
     * 账户ID
     */
    private Long accountId;

    /**
     * 曝光数
     */
    @Excel(name = "曝光数")
    private Long adShow;

    /**
     * 行为数
     */
    @Excel(name = "行为数")
    private Long actionbarClick;

    /**
     * 直接转化数
     */
    @Excel(name = "直接转化数")
    private Long conversionCnt;

    /**
     * 时间窗口
     */
    @Excel(name = "时间窗口")
    private BigDecimal attributeWindow;

    /**
     * 日期
     */
    private Long statDate;

}
