package cn.com.ctop.job.kuaishou.data.mapper;

import cn.com.ctop.job.kuaishou.data.entity.CompassBindAdvertisers;
import cn.com.ctop.job.kuaishou.data.entity.KuaishouCampaignReportDaily;
import cn.com.ctop.job.kuaishou.data.entity.KuaishouMaterialVideoReportDaily;
import cn.com.ctop.job.kuaishou.data.entity.KuaishouUnitReportDaily;
import cn.com.ctop.job.kuaishou.data.entity.KuaishouVideoList;
import com.alibaba.fastjson.JSONArray;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface CompassBindAdvertisersMapper extends BaseMapper<CompassBindAdvertisers> {

    void replaceBatchAdvertisers(@Param("details") JSONArray lists);

    void replaceBatchCampaignReportDaily(@Param("addList") List<KuaishouCampaignReportDaily> addList);

    void replaceBatchUnitReportDaily(@Param("addList") List<KuaishouUnitReportDaily> addList);

    void replaceBatchVideosportDaily(@Param("addList") List<KuaishouMaterialVideoReportDaily> addList);

    void insertRecord(@Param("accountId") Long accountId, @Param("unitId") Long unitId, @Param("alarmDetail") String text);

    void replaceBatchVideoList(@Param("videoGetList") List<KuaishouVideoList> videoGetList);

    CompassBindAdvertisers getByAccountId(@Param("accountId") String accountId);

    List<Long> getAccountList();
}
