package cn.com.ctop.job.kuaishou.data.mapper;

import cn.com.ctop.job.kuaishou.data.entity.KuaishouAccountReportDaily;
import cn.com.ctop.job.kuaishou.data.entity.KuaishouEffectNativeChartreportConversionChart;
import cn.com.ctop.job.kuaishou.data.entity.KuaishouEffectNativeChartreportFunnel;
import cn.com.ctop.job.kuaishou.data.entity.KuaishouEffectNativeChartreportSummary;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 快手-账户日报
 *
 * @author jeecg-boot 2021-09-07
 * @version V1.0
 */
public interface KuaishouAccountReportDailyMapper extends BaseMapper<KuaishouAccountReportDaily> {

    void replaceBatch(@Param("addList") List<KuaishouAccountReportDaily> addList);

    void replaceBatchSummary(@Param("sumList") List<KuaishouEffectNativeChartreportSummary> sumList);

    void replaceBatchFunnel(@Param("funList") List<KuaishouEffectNativeChartreportFunnel> funList);

    void replaceBatchConversionChart(@Param("chatList") List<KuaishouEffectNativeChartreportConversionChart> chatList);

}
