package cn.com.ctop.job.kuaishou.data.mapper;

import cn.com.ctop.job.kuaishou.data.entity.KuaishouAudienceReportDaily;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 快手-人群报表
 *
 * @author zian Y
 *   2022-01-06
 * @version V1.0
 */
public interface KuaishouAudienceReportDailyMapper extends BaseMapper<KuaishouAudienceReportDaily> {

  //快手-人群报表--省份
  void replaceBatchKsAudienceProvince(@Param("addList") List<KuaishouAudienceReportDaily> addList);

  //快手-人群报表--城市
  void replaceBatchKsAudienceCity(@Param("addList") List<KuaishouAudienceReportDaily> addList);

  //快手-人群报表--年龄
  void replaceBatchKsAudienceAge(@Param("addList") List<KuaishouAudienceReportDaily> addList);

  //快手-人群报表--性别
  void replaceBatchKsAudienceGender(@Param("addList") List<KuaishouAudienceReportDaily> addList);

}
