package cn.com.ctop.job.kuaishou.data.mapper;

import cn.com.ctop.job.kuaishou.data.entity.KuaishouVideoList;
import com.alibaba.fastjson.JSONArray;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 快手-素材列表
 *
 * @author jeecg-boot
 * 2021-09-28
 * @version V1.0
 */
public interface KuaishouVideoListMapper extends BaseMapper<KuaishouVideoList> {

    void replaceBatch(@Param("addList") List<KuaishouVideoList> videoGetList);

    KuaishouVideoList getByPhotoId(@Param("photoId") String photoId, @Param("accountId") Long accountId);

    void replaceBatchVideoRelateCreatives(@Param("list") JSONArray list);

    List<Long> getAccountIds(@Param("projectId") Long projectId);

    List<String> getPhototIdsByAccountId(@Param("accountId") Long accountId, @Param("startTime") String startTime, @Param("endTime") String endTime);
}
