package cn.com.ctop.job.kuaishou.data.mapper;

import cn.com.ctop.job.kuaishou.data.entity.OauthAgentToken;
import cn.com.ctop.job.kuaishou.data.entity.OauthToken;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 代理商token信息
 *
 * @author jeecg-boot
 * 2022-01-06
 * @version V1.0
 */
public interface OauthAgentTokenMapper extends BaseMapper<OauthAgentToken> {

    //查询快手代理商信息
    List<OauthAgentToken> getOauthAgentTokenKs();


    OauthAgentToken getTokenByAppId(@Param("appId") Long appId);
}
